# Visualization
TKV3d
V3d

# V3d_RectangularGrid Class Reference

`#include <V3d_RectangularGrid.hxx>`

Inheritance diagram for V3d_RectangularGrid:

[legend]

## Public Member Functions

Standard_EXPORT | V3d_RectangularGrid (const V3d_ViewerPointer &aViewer, const Quantity_Color &aColor, const Quantity_Color &aTenthColor)
Standard_EXPORT void | SetColors (const Quantity_Color &aColor, const Quantity_Color &aTenthColor)
| Change the colors of the grid .
Standard_EXPORT void | Display ()
| Display the grid at screen. .
Standard_EXPORT void | Erase () const
| Erase the grid from screen. .
Standard_EXPORT Standard_Boolean | IsDisplayed () const
| Returns TRUE when the grid is displayed at screen. .
Standard_EXPORT void | GraphicValues (Standard_Real &XSize, Standard_Real &YSize, Standard_Real &OffSet) const
Standard_EXPORT void | SetGraphicValues (const Standard_Real XSize, const Standard_Real YSize, const Standard_Real OffSet)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT void | UpdateDisplay ()
| Updates the grid parameters. .

## Private Member Functions

Standard_EXPORT void | DefineLines ()
Standard_EXPORT void | DefinePoints ()

## Private Attributes

Handle_Graphic3d_Structure | myStructure
Handle_Graphic3d_Group | myGroup1
Handle_Graphic3d_Group | myGroup2
gp_Ax3 | myCurViewPlane
V3d_ViewerPointer | myViewer
Standard_Boolean | myCurAreDefined
Aspect_GridDrawMode | myCurDrawMode
Standard_Real | myCurXo
Standard_Real | myCurYo
Standard_Real | myCurAngle
Standard_Real | myCurXStep
Standard_Real | myCurYStep
Standard_Real | myXSize
Standard_Real | myYSize
Standard_Real | myOffSet

## Constructor & Destructor Documentation

Standard_EXPORT V3d_RectangularGrid::V3d_RectangularGrid | ( | const V3d_ViewerPointer & | aViewer,
|  | const Quantity_Color & | aColor,
|  | const Quantity_Color & | aTenthColor
| ) |

## Member Function Documentation

Standard_EXPORT void V3d_RectangularGrid::DefineLines | ( |  | ) | `[private]`

Standard_EXPORT void V3d_RectangularGrid::DefinePoints | ( |  | ) | `[private]`

Standard_EXPORT void V3d_RectangularGrid::Display | ( |  | ) | `[virtual]`

| Reimplemented from Aspect_Grid.

Standard_EXPORT void V3d_RectangularGrid::Erase | ( |  | ) | const`[virtual]`

| Reimplemented from Aspect_Grid.

Standard_EXPORT void V3d_RectangularGrid::GraphicValues | ( | Standard_Real & | XSize,
|  | Standard_Real & | YSize,
|  | Standard_Real & | OffSet
| ) | const

Standard_EXPORT const V3d_RectangularGrid::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Aspect_RectangularGrid.

Standard_EXPORT Standard_Boolean V3d_RectangularGrid::IsDisplayed | ( |  | ) | const`[virtual]`

| Reimplemented from Aspect_Grid.

Standard_EXPORT void V3d_RectangularGrid::SetColors | ( | const Quantity_Color & | aColor,
|  | const Quantity_Color & | aTenthColor
| ) | `[virtual]`

| Reimplemented from Aspect_Grid.

Standard_EXPORT void V3d_RectangularGrid::SetGraphicValues | ( | const Standard_Real | XSize,
|  | const Standard_Real | YSize,
|  | const Standard_Real | OffSet
| ) |

Standard_EXPORT void V3d_RectangularGrid::UpdateDisplay | ( |  | ) | `[protected, virtual]`

| Reimplemented from Aspect_Grid.

## Field Documentation

Standard_Real V3d_RectangularGrid::myCurAngle `[private]`

Standard_Boolean V3d_RectangularGrid::myCurAreDefined `[private]`

Aspect_GridDrawMode V3d_RectangularGrid::myCurDrawMode `[private]`

gp_Ax3 V3d_RectangularGrid::myCurViewPlane `[private]`

Standard_Real V3d_RectangularGrid::myCurXo `[private]`

Standard_Real V3d_RectangularGrid::myCurXStep `[private]`

Standard_Real V3d_RectangularGrid::myCurYo `[private]`

Standard_Real V3d_RectangularGrid::myCurYStep `[private]`

Handle_Graphic3d_Group V3d_RectangularGrid::myGroup1 `[private]`

Handle_Graphic3d_Group V3d_RectangularGrid::myGroup2 `[private]`

Standard_Real V3d_RectangularGrid::myOffSet `[private]`

Handle_Graphic3d_Structure V3d_RectangularGrid::myStructure `[private]`

V3d_ViewerPointer V3d_RectangularGrid::myViewer `[private]`

Standard_Real V3d_RectangularGrid::myXSize `[private]`

Standard_Real V3d_RectangularGrid::myYSize `[private]`

The documentation for this class was generated from the following file:

- V3d_RectangularGrid.hxx